package com.dkl.large.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dkl.common.annotation.Excel;
import com.dkl.common.core.domain.BaseEntity;

/**
 * 预警规则对象 dkl_warning_rules
 * 
 * @author Dkl
 * @date 2025-06-16
 */
public class DklWarningRules extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** ‌管控措施 */
    @Excel(name = "‌管控措施")
    private String controlMeasures;

    /** 资源调度 */
    @Excel(name = "资源调度")
    private String resourceScheduling;

    /** 规则级别 */
    @Excel(name = "规则级别")
    private String ruleLevel;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRuleName(String ruleName) 
    {
        this.ruleName = ruleName;
    }

    public String getRuleName() 
    {
        return ruleName;
    }

    public void setControlMeasures(String controlMeasures) 
    {
        this.controlMeasures = controlMeasures;
    }

    public String getControlMeasures() 
    {
        return controlMeasures;
    }

    public void setResourceScheduling(String resourceScheduling) 
    {
        this.resourceScheduling = resourceScheduling;
    }

    public String getResourceScheduling() 
    {
        return resourceScheduling;
    }

    public void setRuleLevel(String ruleLevel) 
    {
        this.ruleLevel = ruleLevel;
    }

    public String getRuleLevel() 
    {
        return ruleLevel;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleName", getRuleName())
            .append("controlMeasures", getControlMeasures())
            .append("resourceScheduling", getResourceScheduling())
            .append("ruleLevel", getRuleLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
